import { AfterContentInit, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class NgxThreeoBpmnComponent implements AfterContentInit, OnChanges, OnDestroy {
    private http;
    private bpmnJS;
    private el;
    private importDone;
    private createEnded;
    private connectionAdded;
    private connectionRemoved;
    private shapeRemoved;
    url: string;
    constructor(http: HttpClient);
    loadUrl(url: string): Subscription;
    ngAfterContentInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    /**
     * Creates a Promise to import the given XML into the current
     * BpmnJS instance, then returns it as an Observable.
     *
     * @see https://github.com/bpmn-io/bpmn-js-callbacks-to-promises#importxml
     */
    private importDiagram;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxThreeoBpmnComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxThreeoBpmnComponent, "ngx-threeo-bpmn", never, { "url": "url"; }, { "importDone": "importDone"; "createEnded": "createEnded"; "connectionAdded": "connectionAdded"; "connectionRemoved": "connectionRemoved"; "shapeRemoved": "shapeRemoved"; }, never, never, false>;
}
